import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _defineProperty from "@babel/runtime/helpers/defineProperty";

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

import React from 'react';
import { pgettext } from '@billogram/lang';
import FoundationTableRow from './FoundationTableRow';
import { block } from './createTableRowProvider';
import './createTableRowProvider.scss';

var FoundationTableRowErrorBoundary = /*#__PURE__*/function (_React$Component) {
  _inherits(FoundationTableRowErrorBoundary, _React$Component);

  var _super = _createSuper(FoundationTableRowErrorBoundary);

  function FoundationTableRowErrorBoundary() {
    var _this;

    _classCallCheck(this, FoundationTableRowErrorBoundary);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      didCatchError: false
    });

    return _this;
  }

  _createClass(FoundationTableRowErrorBoundary, [{
    key: "componentDidCatch",
    value: function componentDidCatch() {
      this.setState({
        didCatchError: true
      });
    }
  }, {
    key: "render",
    value: function render() {
      if (this.state.didCatchError) {
        return /*#__PURE__*/React.createElement("tbody", {
          className: block({
            error: true,
            search: this.props.isSearchResult
          })
        }, /*#__PURE__*/React.createElement(FoundationTableRow, null, /*#__PURE__*/React.createElement("td", null, pgettext('generic-error', 'Generic-error'))));
      }

      return this.props.children;
    }
  }]);

  return FoundationTableRowErrorBoundary;
}(React.Component);

export { FoundationTableRowErrorBoundary as default };
//# sourceMappingURL=FoundationTableRowErrorBoundary.js.map