import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import { FoundationControl, FoundationControlGroup } from '@billogram/foundation-control-group';
import { FoundationLightboxButton } from '@billogram/foundation-lightbox';
import FoundationTableCell from './FoundationTableCell';
export default function FoundationTableCellLightboxButton(props) {
  var columnName = props.columnName,
      buttonProps = _objectWithoutProperties(props, ["columnName"]);

  return /*#__PURE__*/React.createElement(FoundationTableCell, {
    columnName: columnName
  }, /*#__PURE__*/React.createElement(FoundationControlGroup, {
    column: "mobile"
  }, /*#__PURE__*/React.createElement(FoundationControl, null, /*#__PURE__*/React.createElement(FoundationLightboxButton, buttonProps))));
}
//# sourceMappingURL=FoundationTableCellLightboxButton.js.map